apiVersion: v1
kind: Service
metadata:
  name: cyb-rest-tm-ingress
  namespace: cyb
spec:
  ports:
    - port: 80
      targetPort: 8080
      protocol: TCP
  type: ClusterIP
  selector:
    app: cyb-rest-tm
---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: cyb-rest-tm
  namespace: cyb
spec:
  rules:
    - host: cyb-rest-tm.cyb.10.20.2.179.nip.io
      http:
        paths:
          - backend:
              service:
                name: cyb-rest-tm-ingress
                port:
                  number: 80
            pathType: ImplementationSpecific
